Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 878976 - make rpm shouldn't require mvn-*-plugin as dependencies in spec file
Summary: make rpm shouldn't require mvn-*-plugin as dependencies in spec file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-installer
Version: 3.2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.2
Assignee: Juan Hernández
QA Contact:
URL:
Whiteboard: integration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-21 17:16 UTC by Eyal Edri
Modified: 2013-02-15 06:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-15 06:46:43 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Eyal Edri 2012-11-21 17:16:37 UTC
when running 'make rpm'

missing rpms are needed.

Description of problem:
        maven-checkstyle-plugin is needed by ovirt-engine-3.1.0-3.20121121.gita975ff5.fc18.noarch
	maven-dependency-plugin is needed by ovirt-engine-3.1.0-3.20121121.gita975ff5.fc18.noarch
	maven-ear-plugin is needed by ovirt-engine-3.1.0-3.20121121.gita975ff5.fc18.noarch
	maven-eclipse-plugin is needed by ovirt-engine-3.1.0-3.20121121.gita975ff5.fc18.noarch
	maven-ejb-plugin is needed by ovirt-engine-3.1.0-3.20121121.gita975ff5.fc18.noarch
	maven-jaxb2-plugin is needed by ovirt-engine-3.1.0-3.20121121.gita975ff5.fc18.noarch
	maven-plugin-exec is needed by ovirt-engine-3.1.0-3.20121121.gita975ff5.fc18.noarch
	maven-war-plugin is needed by ovirt-engine-3.1.0-3.20121121.gita975ff5.fc18.noarch

Version-Release number of selected component (if applicable): 3.1


How reproducible:
always
 
Steps to Reproduce:
1.git clone git://gerrit.ovirt.org/ovirt-engine
2.make rpm
3.
  
Actual results:


Expected results:

make rpm shouldn't require mvn-plugin rpms, not needed for the project, and running make rpm will already install all plugins to local repo.

Additional info:

Comment 1 Juan Hernández 2012-11-21 17:27:25 UTC
Correct, there is no need to install the maven plugins as RPM packages, as we don't use them for anything. The proposed change to fix this is available here:

http://gerrit.ovirt.org/9400

Comment 2 Juan Hernández 2013-01-10 10:02:05 UTC
The upstream change has been merged.

Comment 3 Itamar Heim 2013-01-16 16:09:27 UTC
3.2 beta built, moving to ON_QA status to allow testing


Note You need to log in before you can comment on or make changes to this bug.